* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
/* total tag under in this element */
body {
  font-family: sans-serif;
  line-height: 1.4;
}
.main-content {
  border: 4px solid black;
  width: 825px;
  margin: 50px auto;
  position: relative;
  display: grid;
  grid-template-columns: 250px 1fr 1fr;
  column-gap: 40px;
}
/* title Alter */
.heading {
  text-align: center;
  font-size: 22px;
  text-transform: uppercase;
  background-color: #f7f7f7;
  padding: 15px;
  grid-column: 1 / -1;
}
.price-container {
  flex: 1;
  margin-top: 20px;
}
.price-tag {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 20px;
}
.price-value {
  font-size: 24px;
}
.shipping {
  font-size: 12px;
  text-transform: uppercase;
  font-weight: bold;
  color: #777;
}

.clear-fixing {
  content: "";
  display: block;
  clear: both;
}
.photo {
  float: left;
  margin-right: 40px;
}
h1::before {
  content: "sale";
  background-color: #ec2f2f;
  color: #fff;
  font-size: 12px;
  text-transform: uppercase;
  font-weight: bold;
  letter-spacing: 2px;
  padding: 7px 15px;
  display: inline-block;
  position: absolute;
  top: -17px;
  left: -38px;
}

/* pricein number */

/* free */

/* product-description */
.product-description {
  clear: both;
  margin-bottom: 10px;
}
/* link more information */
.more:link,
.more:visited {
  color: black;
  margin-bottom: 25px;
  display: inline-block;
}
.more:hover {
  text-decoration: none;
  color: rgb(255, 255, 255);
  border: 2px solid black;
  background-color: black;
}
.colors {
  display: flex;
  gap: 10px;
}

/* color pattern */
.color {
  background-color: #000;
  height: 22px;
  width: 22px;
}
.color-blue {
  background-color: rgb(23, 96, 231);
}
.color-red {
  background-color: rgb(236, 47, 47);
}
.color-yellow {
  background-color: rgb(216, 172, 26);
}
.color-green {
  background-color: rgb(159, 233, 20);
}
.color-brown {
  background-color: rgb(215, 122, 16);
}
/* product patha detail's */
.product-container {
  margin-top: 20px;
  flex: 1;
}
/* product details heading */
.productdetails {
  text-transform: uppercase;
  font-size: 16px;
  margin-bottom: 15px;
}
.product-list {
  list-style: square;
  margin-left: 20px;
}
.addtocart {
  background-color: #000;
  border: none;
  color: #fff;
  font-size: 20px;
  text-transform: uppercase;
  cursor: pointer;
  padding: 15px;
  width: 100%;
  border-top: 4px solid black;
  grid-column: 1 / -1;
}
.addtocart:hover {
  color: rgb(0, 0, 0);
  background-color: rgb(255, 255, 255);
}
/* sale logo in heading tag */
